GSPL-LPCOVER(1)

NAME
gspl-cancel - emulate CANCEL

gspl-lpcover - emulate LP

gspl-lpstatc - emulate LPSTAT

gspl-lpr - emulate LPR

cancel - emulate CANCEL

lp - emulate LP

lpr - emulate LPR

lpq - emulate LPQ

lprm - emulate LPRM

lpstat - emulate LPSTAT

SYNOPSIS
gspl-cancel jobnumber [ ... ]

gspl-lpcover [ -options ] [ file ... ]

gspl-lpstatc [ -options ]

gspl-lpr [ -options ]

lp [ -options ]

lpr [ -options ]

lpq [ -options ]

lprm [ -options ]

lpstat [ -options ]

cancel jobnumber [ ... ]

DESCRIPTION
gspl-lpcover may be used instead of the standard lp command. It converts the options that most lp commands take to the equivalent gspl-pr(1) commandds and then invokes gspl-pr(1) to submit the print jobs.

The gspl-pr program provides a much greater set of facilities than lp. Although it is strongly recommended to switch to the gspl-pr(1) command to take advantage of these, they can be made available to users of our gspl-lpcover command. This is done by setting up "GSPL_PR" in the application or user environment.

Gspl-lpcover is usually installed in place of lp in /usr/bin, with the original binary moved to something like old.lp in the same directory.

Gspl-lpstatc emulates lpstat as far as is practicable, generating a report of outstanding print jobs from the print queue in a format similar to the original lpstat.

cancel is a shell script which invokes gspl-qdel(1) on its arguments.

The other programs lpr, lpq and lprm are scripts to emulate the corresponding commands.

OPTIONS
The options below document gspl-lpcover only. Options to gspl-lpstatc generate a warning message on standard error and are otherwise ignored. Options to gspl-lpcover which are not documented here are ignored.

-c  This has no effect, but generates a warning message on standard error, as with GNUspool spool files are always copied.

-d name
    Specify printer destination as name. The destination may also be specified in the environment variable "LPDEST", which this option overrides. An argument of "any" to -d cancels any existing "LPDEST" environment variable.

    This is translated directly into a -P option to gspl-pr.

-f form
    specifies the supplied form type. This is translated directly into an -f option to gspl-pr.

-H arg
    There is no direct mapping for the -H argument.

-m  Mail user. This is translated directly into an -m option to gspl-pr.

-n n
    Specify the number of copies. This is translated directly into a -c option to gspl-pr.

-o arg
    Only -o "nobanner", to suppress the header page, is interpreted and translated to the -s option to gspl-pr.

-P arg
    This is translated into -R page range arguments for gspl-pr.

-q n
    This is translated into a -p argument for gspl-pr scaled appropriately, taking into account the user's maximum, minimum and default priorities.

-S  This option is ignored.

-s  This turns off the -v argument for gspl-pr which is normally included.

-T  This option is ignored.

-t <arg>
    This is translated to a -h (title) argument to gspl-pr.

-w  This is translated directly to the -w (write message) option to gspl-pr.

-y  This option is ignored.

ENVIRONMENT

LPDEST
    Specify destination for gspl-lpcover.

LPSTATFMT
    Specify alternate format for gspl-lpstatc.

DIAGNOSTICS
Various warnings about unimplemented features are printed by gspl-lpcover and gspl-lpstatc.

Others may be generated by software each invokes.

COPYRIGHT
Copyright (c) 2009 Free Software Foundation, Inc. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

AUTHOR
John M Collins, Xi Software Ltd.